Đến nội dung


Hình ảnh
- - - - -

Lisp tạo block không cần đặt tên


  • Please log in to reply
13 replies to this topic

#1 chuc88

chuc88

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 06 May 2011 - 03:06 PM

ai biêt lệnh tạo blog không cần đặt tên chỉ mình với?
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 06 May 2011 - 04:13 PM

Bạn chọn hết các đối tượng cần tạo Block ->ấn Ctrl + C (Hoặc Ctrl + Shift + C) -> mang ra 1 góc Ctrl + Shift + V
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 manhcuong_513

manhcuong_513

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 09 May 2011 - 03:43 PM

cảm ơn bạn!
  • 0

#4 manhcuong_513

manhcuong_513

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: -7 (bình thường)

Đã gửi 09 May 2011 - 03:48 PM

nhưng mình có thắc mắc là khi mình muốn lấy điểm pick point thì không được mong muốn
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 09 May 2011 - 04:02 PM

nhưng mình có thắc mắc là khi mình muốn lấy điểm pick point thì không được mong muốn

Đấy chính là lý do tại sao mình nói Ctr + C hoặc Ctrl + Shift + C. Ở cách thứ 2 cho phép chọn Insertpoint của Block
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 bach1212

bach1212

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 12 April 2012 - 01:19 PM

Bạn chọn hết các đối tượng cần tạo Block ->ấn Ctrl + C (Hoặc Ctrl + Shift + C) -> mang ra 1 góc Ctrl + Shift + V

Không dùng Ctrl + C (Hoặc Ctrl + Shift + C) và Ctrl + Shift + V, muốn tạo nhanh blog (không cần tên cũng được) chỉ bằng đánh lệnh rồi quét các đối tượng được chọn. Có lệnh nào như thế không ah?
Blog tạo thành tương tự như cách làm trên, giữ nguyên vị trí cũ, và các đối tượng cũ thì bị xóa đi.
  • 0

Một môn tập luyện mang lại vô vàn lợi ích sức khỏe cho mọi người, nhiều bệnh tật nan y đều được chữa khỏi, hoàn toàn miễn phí. Hiệu quả chữa khỏi bệnh tật của nó lên đến hơn 90%.
Tài liệu tại đây: http://phapluan.org/

Rất vui được làm quen với mọi người trên facebook:
https://www.facebook...67946371&type=1

 

 


#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 12 April 2012 - 02:10 PM

Những cái j mà thông thường k làm được thì phải viết ra thôi :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#8 bach1212

bach1212

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 12 April 2012 - 04:42 PM

zậy bác giúp e.......:D
  • 0

Một môn tập luyện mang lại vô vàn lợi ích sức khỏe cho mọi người, nhiều bệnh tật nan y đều được chữa khỏi, hoàn toàn miễn phí. Hiệu quả chữa khỏi bệnh tật của nó lên đến hơn 90%.
Tài liệu tại đây: http://phapluan.org/

Rất vui được làm quen với mọi người trên facebook:
https://www.facebook...67946371&type=1

 

 


#9 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 12 April 2012 - 11:04 PM


(defun c:Test (/ ST:Entmake-AnonBlock)
(vl-load-com)
(defun ST:Entmake-AnonBlock (ss DeleteEntitiesFlag / i)
(entmake (list '(0 . "BLOCK")
(cons 2 "*anon")
(cons 70 1)
(cons 10 (list 0 0 0))
)
)
(setq i (sslength ss))
(while (<= 0 (setq i (1- i)))
(entmake (vl-remove-if '(lambda(x)(= (car x) 5)) (entget (ssname ss i))))
(if DeleteEntitiesFlag (entdel (ssname ss i)))
)
(entmake '((0 . "ENDBLK")))
)
(entmake
(list '(0 . "INSERT")
(cons 2 (ST:Entmake-AnonBlock (ssget) T))
(cons 10 (list 0 0 0))
)
)
(entmake (list (cons 0 "SEQEND")))
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#10 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 13 April 2012 - 08:53 AM

Thử cách mới học của bác Tuệ xem:

 

(DEFUN c:blkt (/ xx dc)
(setq XX (ssget))
(setq dc (getpoint "\nChon diem goc:"))
(Command "copybase" dc xx "" "_pasteblock" dc "erase" xx "")
(Princ))

  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#11 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 13 April 2012 - 09:24 AM

Nếu dùng Command thì :

(defun c:pb ()(command "cutclip" (ssget ) "" "pasteblock"))

  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#12 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 13 April 2012 - 09:36 AM

Nếu dùng Command thì :


(defun c:pb ()(command "cutclip" (ssget ) "" "pasteblock"))

Làm vậy phải chọn điểm chèn lại ra với lại ko kiểm soát được điểm này bác két ơi.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#13 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 13 April 2012 - 09:41 AM

Hì, đúng vậy :) Ketxu viết để tạo cái Block thôi ^^
THeo cách của bác thì như vầy cho nhanh :

(defun c:pb(/ p)(command "_.copybase" (setq p (getvar "LASTPOINT")) (ssget) "" "_.pasteblock" p "_.erase" "_p" ""))

  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#14 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 13 April 2012 - 10:13 AM

Hì, đúng vậy :) Ketxu viết để tạo cái Block thôi ^^
THeo cách của bác thì như vầy cho nhanh :


(defun c:pb(/ p)(command "_.copybase" (setq p (getvar "LASTPOINT")) (ssget) "" "_.pasteblock" p "_.erase" "_p" ""))

Ơ nay mới biết cu "LASTPOINT" này thank bác. Mà bác chơi hai quả P làm mình đọc cứ lẩn hết cả lộn. Cadviet có nhiều cái để học phết nhỉ.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D